Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 625730 - Javascript elements manipulation does not trigger in Google Chrome when creating new file as a symbolic link.
Summary: Javascript elements manipulation does not trigger in Google Chrome when creat...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 540
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Justin Sherrill
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks: sat540-canfix
TreeView+ depends on / blocked
 
Reported: 2010-08-20 10:03 UTC by Pavel Novotny
Modified: 2010-10-28 14:48 UTC (History)
3 users (show)

Fixed In Version: spacewalk-java-1.2.38-1.el5.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 14:48:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Novotny 2010-08-20 10:03:49 UTC
Description of problem:
In (and only) Google Chrome, when you are creating new file as a symbolic link in Configuration channel, clicking the "Symbolic link" radio button does not trigger the alteration (enabling/disabling) of desired fields on page.

Version-Release number of selected component (if applicable):
Sat540 Galactica

How reproducible:
Always

Steps to Reproduce:
1. Go to Configuration -> Configuration Channels
2. Create new config channel if there is none and select it
3. Go to Add Files -> Create File
4. Select File Type: "Symbolic link" radio button
  
Actual results:
Nothing happens.

Expected results:
Fields "User name", "Group name", "File Permissions Mode" and "File Contents" should be disabled.
Field "Symbolic Link Target Filename/Path" should be enabled.

Additional info:
Observed only in Google Chrome 5.0.375.127.
Other browsers (FF, Opera) are not affected.

Note: 
Upgrade of used JS framework Prototype from 1.6.0 to the latest 1.6.1 did not help.

Comment 1 Partha Aji 2010-09-09 22:27:40 UTC
should be fixed as of efb94504268ce2070bf302c92d5ba0079068d3c5 . Need spacewalk-java-1.2.37-1 or greater to test this.

Comment 2 Pavel Novotny 2010-09-10 13:06:41 UTC
Verified for Google Chrome 6.0.472.55.
Tested with package: spacewalk-java-1.2.38-1.el5.noarch.rpm

Comment 4 Clifford Perry 2010-10-28 14:43:21 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.